<?php
/**
 * Created by PhpStorm.
 * User: root
 * Date: 23/06/18
 * Time: 22:01
 */

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Session;
use Illuminate\Support\Facades\Storage;

class SessionController
{

    /**
     * @param $data Datos que serviran de key para poder identificar a los usuarios
     */
    public function crearSesion($data){
        session()->put('email', $data[0]);
        session()->put('name', $data[1]);
        return;
    }

    /**
     * @return \Illuminate\Http\RedirectResponse|\Illuminate\Routing\Redirector
     */
    public function cerrarSesion(){
        session()->flush();
        return redirect('/');
    }

}