<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Detalles Vehículo</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    @include('style')
</head>
<body>
<table style="width: 100%">
    <tr>
        <th>
            <form method="GET" action="/reserva">
                <li>{{ 'Matrícula: '. $datos['Matricula'] }}</li>
                <li>{{ 'Número de Plazas: '. $datos['NumeroPlazas'] }}</li>
                <li>{{ 'Batería: '. $datos['Bateria'].'%' }}</li>
                <li>{{ 'Autonomía: '. $datos['Autonomia'].' km' }}</li>
                <li>{{ 'Marca: '. $datos['Marca'] }}</li>
                <li>{{ 'Modelo: '. $datos['Modelo'] }}</li>
                @if(session()->has('name'))
                    <button class="button" type="submit" name="matricula">Reservar</button>
                @else
                    <div class="links"> Por favor <a href="/map/identify">Identificate</a> primero</div>
                @endif
            </form>
        </th>
        <th>
            @if(strcmp($datos['Modelo'],'KANGOO Z.E.') == 0)
                <img width="336" height="150" src="https://fotos01.autofacil.es/2013/02/01/646x260/renaultkangoovan-1.jpg">
            @elseif(strcmp($datos['Modelo'],'TWIZY') == 0)
                <img width="336" height="170" src="https://www.diariomotor.com/imagenes/picscache/1920x1600c/renault-twizy-ficha-dm-7_1920x1600c.jpg">
            @elseif(strcmp($datos['Modelo'],'ZOE') == 0)
                <img width="336" height="200" src="https://i.blogs.es/f33ce4/renault-zoe-40-kwh-2017-079/450_1000.jpg">
            @endif
        </th>
    </tr>
</table>

</body>
</html>