<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Perfil</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    @include('style')

</head>

<body>
@include('header')
<br>
<div>
    @if ($errors->any())
        <div class="alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
    @endif
</div>
<br>
<table style="width:100%">
    <tr>
        <th><label for="emal">E-Mail actual: {{$usuario['id']}}</label></th>
        <th>
            <form method="POST" action="/perfil/email">
                {{csrf_field()}}
                <label for="email">Nuevo E-Mail: </label><input type="email" id="email" name="email"/>
                <button class="button" type="submit" name="nuevoEmail">Actualizar E-Mail</button>
            </form>
        </th>
    </tr>
    <tr>
        <form method="POST" action="/perfil/password">
            {{csrf_field()}}
            <th><lable for="password">Nueva Contraseña: </lable><input type="password" id="password" name="password"/></th>
            <th>
                <label for="password">Confirmar Contraseña:</label><input type="password" id="password2" name="password_confirmation"/>
                <button class="button" type="submit" name="nuevoEmail">Actualizar Password</button>
            </th>
        </form>
    </tr>
    <tr>
        <th><label for="bancaccount">Cuenta Bancaria actual: {{$usuario['bancaccount']}}</label></th>
        <th>
            <form method="POST" action="/perfil/bancaccount">
                {{csrf_field()}}
                <label for="bancaccount">Nueva Cuenta Bancaria: </label><input type="text" id="bancaccount" name="bancaccount"/>
                <button class="button" type="submit" name="nuevaBancAccount">Actualizar Cuenta Bancaria</button>
            </form>
        </th>
    </tr>
    <tr>
        <th><label for="phonenum">Teléfono actual: {{$usuario['phonenum']}}</label></th>
        <th>
            <form method="POST" action="/perfil/phonenum">
                {{csrf_field()}}
                <label for="phonenum">Nuevo número de Teléfono: </label><input type="text" id="phonenum" name="phonenum"/>
                <button class="button" type="submit" name="nuevophonenum">Actualizar número de Teléfono</button>
            </form>
        </th>
    </tr>
    <tr>
        <th><label for="name">Nombre y Apellidos: {{$usuario['name']}}</label></th>
    </tr>

    <tr>
        <th>
            <form method="get" action="/close">
                <button class="button" type="submit" name="close">Cerrar Sesión</button>
            </form>
        </th>
        <th>
            <form method="get" action="/borrar">
                <button class="button" type="submit" name="clean">Darse de Baja</button>
            </form>
        </th>
    </tr>
</table>
</body>
</html>