<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Registrarse</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    @include('style')

</head>
<body>
<table style="width:100%">
    <tr>
        <td>
            @include('header')
        </td>
    </tr>
    <tr>
        <td>
            <div>
                @if ($errors->any())
                    <div class="alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
        </td>
    </tr>
    <tr><td><br></td></tr>
    <tr>

        <th>
            <table style="width:100%">
                <form method="POST" action="/verify" accept-charset="UTF-8">
                    {{csrf_field()}}
                    <tr>
                        <th><label for="name">Nombre:</label></th><td><input type="text" id="name" name="name"/></td>
                    </tr>
                    <tr>
                        <th><label for="firstsurname">Apellido1:</label></th><td><input type="text" id="firstsurname" name="firstsurname"/></td>
                    </tr>
                    <tr>
                        <th><label for="secondsurname">Apellido2:</label></th><td><input type="text" id="secondsurname" name="secondsurname"/></td>
                    </tr>
                    <tr>
                        <th><label for="dni">DNI:</label></th><td><input type="text" id="dni" name="dni"/></td>
                    </tr>
                    <tr>
                        <th><label for="mail">E-Mail:</label></th><td><input type="email" id="mail" name="mail"/></td>
                    </tr>
                    <tr>
                        <th><label for="password">Contraseña:</label></th><td><input type="password" id="password" name="password"/></td>
                    </tr>
                    <tr>
                        <th><label for="password">Confirmar contraseña:</label></th><td><input type="password" id="password2" name="password_confirmation"/></td>
                    </tr>
                    <tr>
                        <th><label for="bancaccount">Cuenta Bancaria:</label></th><td><input type="text" id="bancaccount" name="bancaccount"/></td>
                    </tr>
                    <tr>
                        <th><label for="phonenum">Número de Teléfono:</label></th><td><input type="text" id="phonenum" name="phonenum"/></td>
                    </tr>
                    <tr>
                        <th></th><td><div class="links"><input type="checkbox" id="Terms" name="Terms"/>He leido y acepto los <a href="/privacy">Términos de Condiciones y Uso</a></div></td>
                    </tr>
                    <tr><th><br></th></tr>
                    <tr>
                        <th colspan="2"><button class="button" type="submit" name="registrarse">Registrarse</button></th>
                    </tr>
                    <tr>
                        <th colspan="2">
                            ¿Ya estas registrado? <br>
                            <div class="links"><a href="/map/identify">Identificarse</a></div>
                            </form>
                        </th>
                    </tr>
                </form>
            </table>
        </th>
    </tr>
</table>
</body>
</html>