<!-- Styles -->
<style>
    html, body {
        background-color: #F5F5F5;
        color: #373737;
        font-family: sans-serif;
        font-weight: 100;
        height: 100vh;
        margin: 0;
    }

    .full-height {
        height: 100vh;
    }

    .flex-center {
        align-items: center;
        display: flex;
        justify-content: center;
    }

    .position-ref {
        position: relative;
    }

    .top-right {
        position: absolute;
        right: 10px;
        top: 18px;
    }

    .top-left {
        position: absolute;
        left: 10px;
        top: 18px;
    }

    .top {
        top: 18px;
    }

    .bottom {
        bottom: 18px;
    }

    .right {
        right: 10px;
    }

    .left {
        left: 10px;
    }

    .content {
        text-align: center;
    }

    .title {
        font-size: 84px;
    }

    .links a {
        color: #636b6f;
        padding: 0 25px;
        font-size: 12px;
        font-weight: 600;
        letter-spacing: .1rem;
        text-decoration: none;
        text-transform: uppercase;
    }

    .button {
        -webkit-transition-duration: 0.4s; /* Safari */
        color: #636b6f;
        padding: 0 25px;
        font-size: 12px;
        font-weight: 600;
        letter-spacing: .1rem;
        text-decoration: none;
        transition-duration: 0.4s;
        background-color: #DCDCDC;
        border-radius: 4px;;
    }

    .button:hover {
        background-color: #696969;
        color: white;
        border-radius: 4px;
    }

    .m-b-md {
        margin-bottom: 30px;
        text-align: center;
    }

    .alert-danger {
        color: #FF0000;
        font-weight: bolder;
    }
</style>