<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
    Route::get('/', function () {
        return view('portada');

    });
    Route::get('/privacy', function (){
        return view('privacidad');
    });
    Route::group(['prefix' => 'map'], function (){

        Route::get('/', 'GMapsController@creaMapa');
        //Route::get('/jsonc' , 'OrionController@obtenerCoches');
        Route::get('/detalles/{id}','ReservaController@mirarCoche');
        Route::get('/register', function(){
            return view('register');
        });
        Route::get('/identify', function(){
            return view('identify');
        });
        Route::get('/coordenada', 'CoordenadasController@obtenerCoordenadas');

    });

    Route::get('/perfil', 'OrionController@mostrarDatos');
    Route::group(['prefix' => 'perfil'], function (){
        Route::post('/email', 'OrionController@actualizarEmail');
        Route::post('/password', 'OrionController@actualizarPassword');
        Route::post('/bancaccount', 'OrionController@actualizarBancAccount');
        Route::post('/phonenum', 'OrionController@actualizarPhoneNum');
    });

    Route::post('/verify', 'OrionController@tomarDatos');
    Route::post('/identify', 'OrionController@identificarUsuario');
    Route::get('/reserva', 'ReservaController@reservaVehiculo');
    Route::get('/close', 'SessionController@cerrarSesion');
    Route::post('/trip', 'OrionController@realizarTrip');
    Route::get('/borrar', 'OrionController@eliminarDatosUsuario');

