create function "_drop_raster_constraint_blocksize"(rastschema name, rasttable name, rastcolumn name, axis text) returns boolean
LANGUAGE plpgsql
AS $$
BEGIN
		IF lower($4) != 'width' AND lower($4) != 'height' THEN
			RAISE EXCEPTION 'axis must be either "width" or "height"';
			RETURN FALSE;
		END IF;

		RETURN _drop_raster_constraint($1, $2, 'enforce_' || $4 || '_' || $3);
	END;

$$;
