<?php
/**
 * Created by PhpStorm.
 * User: root
 * Date: 24/06/18
 * Time: 12:32
 */

namespace App\Http\Controllers;


use Illuminate\Http\Request;

class ReservaController
{

    /**
     * @param $idVehicle
     * @return $this
     */
    public function mirarCoche($idVehicle){

        $OrionController = new OrionController();
        $json = $OrionController->obtenerCoche($idVehicle);
        $datos = [
            "Matricula" => $json['id'],
            "NumeroPlazas" => $json['numsits']['value'],
            "Bateria" => $json['battery']['value'],
            "Autonomia" => $json['autonomy']['value'],
            "Marca" => $json['brand']['value'],
            "Modelo" => $json['model']['value']
        ];
        session()->put('matricula',$idVehicle);
        return view('detallesVehiculo')->with('datos',$datos);

    }

    /**
     * @return \Illuminate\Contracts\View\Factory|\Illuminate\View\View
     */
    public function reservaVehiculo(){

        $idVehiculo = session()->get('matricula');
        $OrionController = new OrionController();
        $OrionController->cambiaEstadoCoche($idVehiculo);
        return view('usoVehiculo');

    }

}