<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Identificarse</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    @include('style')


</head>

<body>
<table style="width:100%">
    <tr>
        <td>
            @include('header')
        </td>
    </tr>
    <tr>
        <td>
            <div>
                @if ($errors->any())
                    <div class="alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif
            </div>
        </td>
    </tr>
    <tr><td><br></td></tr>
    <tr>
        <th>
            <table style="width:100%">
                <form method="POST" action="/identify" accept-charset="UTF-8">
                    {{csrf_field()}}
                    <tr>
                        <th><label for="mail">E-Mail:</label></th><td><input type="email" id="mail" name="mail"/></td>
                    </tr>
                    <tr>
                        <th><label for="password">Contraseña:</label></th><td><input type="password" id="password" name="password"/></td>
                    </tr>
                    <tr>
                        <th><br></th>
                    </tr>
                    <tr>
                        <th colspan="2"><button class="button" type="submit" name="identificarse">Identificarse</button></th>
                    </tr>
                    <tr>
                        <th colspan="2">
                            ¿No estas registrado? <br>
                            <div class="links"><a href="/map/register">Registrarse</a></div>
                        </th>
                    </tr>
                </form>
            </table>
        </th>
    </tr>
</table>

</body>
</html>