<!doctype html>
<html lang="{{ app()->getLocale() }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Uso vehículo</title>

    <!-- Fonts -->
    <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">
    @include('style')
    <div class="error">
        @if ($errors->any())
            <div class=alert-danger">
                <ul>
                    @foreach ($errors->all() as $error)
                        <li>{{ $error }}</li>
                    @endforeach
                </ul>
            </div>
        @endif
    </div>
</head>
<body>


<table style="width:100%">
    <form method="POST" action="/trip" onload="window.close()">
        {{csrf_field()}}
        <tr>
            <th><label for="kmMade">Kilometros hechos :</label></th><td><input type="number" id="kmMade" name="kmMade"/></td>
        </tr>
        <tr>
            <th><label for="timeUsed">Tiempo usado (min) :</label></th><td><input type="number" id="timeUsed" name="timeUsed"/></td>
        </tr>
        <tr>
            <th><label for="endPoint">Punto Final (indica la linea en el archivo coordenadas.txt, empieza en 0):</label></th><td><input type="number" id="endPoint" name="endPoint"/></td>
        </tr>
        <tr>
            <th colspan="2"><button class="button" type="submit" name="idVehiculo">Registrar Viaje</button></th>
        </tr>
    </form>
</table>
</body>
</html>