#!/bin/bash
curl -v localhost:1026/v2/op/update -s -S -H 'Content-Type: application/json' -d @- <<EOF
{
  "actionType": "APPEND",
  "entities": [
{
  "id": "0000AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 5,
    "type": "Integer"
  },
  "autonomy": {
    "value": 202,
    "type": "Float"
  },
  "location": {
    "value": "41.664797, -4.705904",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "ZOE",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0002AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 230,
    "type": "Float"
  },
  "location": {
    "value": "41.661904, -4.708308",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "KANGOO Z.E.",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0001AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 100,
    "type": "Float"
  },
  "location": {
    "value": "41.664672, -4.706200",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "TWIZY",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0003AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 5,
    "type": "Integer"
  },
  "autonomy": {
    "value": 202,
    "type": "Float"
  },
  "location": {
    "value": "41.665509, -4.719859",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "ZOE",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0004AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 230,
    "type": "Float"
  },
  "location": {
    "value": "41.654472, -4.723646",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "KANGOO Z.E.",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0005AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 100,
    "type": "Float"
  },
  "location": {
    "value": "41.647313, -4.719859",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "TWIZY",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0006AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 5,
    "type": "Integer"
  },
  "autonomy": {
    "value": 202,
    "type": "Float"
  },
  "location": {
    "value": "41.648219, -4.708836",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "ZOE",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0007AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 230,
    "type": "Float"
  },
  "location": {
    "value": "41.652981, -4.700639",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "KANGOO Z.E.",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
},
{
  "id": "0008AAA",
  "type": "Car",
  "battery": {
    "value": 100,
    "type": "Float"
  },
  "numsits": {
    "value": 2,
    "type": "Integer"
  },
  "autonomy": {
    "value": 100,
    "type": "Float"
  },
  "location": {
    "value": "41.658288, -4.709061",
    "type": "String"
  },
  "available": {
    "value": true,
    "type": "Boolena"
  },
  "model": {
    "value": "TWIZY",
    "type": "String"
  },
  "brand": {
    "value": "Renault",
    "type": "String"
  }
}
]
}
EOF
